[X2Go-Commits] [x2gothinclient] 01/01: MATE Application menu: Move the default X2Go Client .desktop file out of the way (dpkg-divert) and provide the TCE's .desktop file instead.

git-admin at x2go.org git-admin at x2go.org
Wed Aug 27 09:17:14 CEST 2014


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch master
in repository x2gothinclient.

commit b7bcbb7530613a9d556a55b29dee385b963de217
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date:   Wed Aug 27 09:17:05 2014 +0200

    MATE Application menu: Move the default X2Go Client .desktop file out of the way (dpkg-divert) and provide the TCE's .desktop file instead.
---
 debian/changelog                                   |    2 +
 debian/x2gothinclient-minidesktop.dirs             |    3 +-
 debian/x2gothinclient-minidesktop.install          |    2 +-
 debian/x2gothinclient-minidesktop.links            |    1 +
 debian/x2gothinclient-minidesktop.postrm           |   38 +++++++++++++++++++
 debian/x2gothinclient-minidesktop.preinst          |   39 ++++++++++++++++++++
 .../x2gothinclient-minidesktop.desktop             |    0
 7 files changed, 83 insertions(+), 2 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index bf5ef3c..b88ea3d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -34,6 +34,8 @@ x2gothinclient (1.5.0.0-0x2go1) UNRELEASED; urgency=low
         Provide preseeding for nodm bin:package.
       . On minidesktop TCE creation based on wheezy, pull in packages from
         wheezy-backports (i.e. MATE desktop environment).
+      . MATE Application menu: Move the default X2Go Client .desktop file out of the
+        way (dpkg-divert) and provide the TCE's .desktop file instead.
     - Adapt management package to TCE flavouring. Add new configuration
       option in x2gothinclient_settings: TC_FLAVOUR (can be: minidesktop or
       displaymanager).
diff --git a/debian/x2gothinclient-minidesktop.dirs b/debian/x2gothinclient-minidesktop.dirs
index d235933..c283356 100644
--- a/debian/x2gothinclient-minidesktop.dirs
+++ b/debian/x2gothinclient-minidesktop.dirs
@@ -1 +1,2 @@
-usr/share/images/desktop-base
\ No newline at end of file
+usr/share/images/desktop-base
+etc/xdg/autostart
\ No newline at end of file
diff --git a/debian/x2gothinclient-minidesktop.install b/debian/x2gothinclient-minidesktop.install
index bc8dcc1..df77e33 100644
--- a/debian/x2gothinclient-minidesktop.install
+++ b/debian/x2gothinclient-minidesktop.install
@@ -1,5 +1,5 @@
 management/share/etc/x2gothinclient-minidesktop_* etc/x2go/
-minidesktop/autostart/x2gothinclient-minidesktop.desktop etc/xdg/autostart/
+minidesktop/desktop/x2gothinclient-minidesktop.desktop usr/share/applications/
 minidesktop/sbin/x2gothinclient-preseed usr/sbin/
 minidesktop/schema-overrides/* usr/share/glib-2.0/schemas/
 minidesktop/mate-panel-layout/* usr/share/mate-panel/layouts/
diff --git a/debian/x2gothinclient-minidesktop.links b/debian/x2gothinclient-minidesktop.links
index 9852a8f..5fe399b 100644
--- a/debian/x2gothinclient-minidesktop.links
+++ b/debian/x2gothinclient-minidesktop.links
@@ -1 +1,2 @@
 etc/x2go/x2gothinclient-minidesktop_background.svg usr/share/backgrounds/x2go/x2gothinclient-minidesktop_background.svg
+usr/share/applications/x2gothinclient-minidesktop.desktop etc/xdg/autostart/x2gothinclient-minidesktop.desktop
diff --git a/debian/x2gothinclient-minidesktop.postrm b/debian/x2gothinclient-minidesktop.postrm
new file mode 100755
index 0000000..557180a
--- /dev/null
+++ b/debian/x2gothinclient-minidesktop.postrm
@@ -0,0 +1,38 @@
+#! /bin/sh
+# postrm script for x2gothinclient-minidesktop
+#
+# see: dh_installdeb(1)
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see /usr/share/doc/packaging-manual/
+
+set -e
+
+
+case "$1" in
+	purge|remove)
+		if ! dpkg-divert --list | grep x2goclient.desktop.disabled-by-x2gotce 1>/dev/null 2>/dev/null; then
+			dpkg-divert --package x2gothinclient-minidesktop --remove /usr/share/applications/x2goclient.desktop
+		fi
+		;;
+	upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+		;;
+	*)
+		echo "postrm called with unknown argument \`$1'" >&2
+		exit 0
+		;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/x2gothinclient-minidesktop.preinst b/debian/x2gothinclient-minidesktop.preinst
new file mode 100755
index 0000000..d360e79
--- /dev/null
+++ b/debian/x2gothinclient-minidesktop.preinst
@@ -0,0 +1,39 @@
+#!/bin/sh
+# preinst script for x2gothinclient-minidesktop.preinst
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+case "$1" in
+	install|upgrade)
+		if ! dpkg-divert --list | grep x2goclient.desktop.disabled-by-x2gotce 1>/dev/null 2>/dev/null; then
+			dpkg-divert --add --rename --package x2gothinclient-minidesktop --divert /usr/share/applications/x2goclient.desktop /usr/share/applications/x2goclient.desktop.disabled-by-x2gotce
+		fi
+		;;
+	abort-upgrade)
+		;;
+	*)
+		echo "preinst called with unknown argument \`$1'" >&2
+		exit 1
+		;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/minidesktop/autostart/x2gothinclient-minidesktop.desktop b/minidesktop/desktop/x2gothinclient-minidesktop.desktop
similarity index 100%
rename from minidesktop/autostart/x2gothinclient-minidesktop.desktop
rename to minidesktop/desktop/x2gothinclient-minidesktop.desktop

--
Alioth's /srv/git/_hooks_/post-receive-email on /srv/git/code.x2go.org/x2gothinclient.git


More information about the x2go-commits mailing list